Get Document
curl --request GET \
--url https://{host}/cleemy-procurement/api/documents/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/cleemy-procurement/api/documents/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/cleemy-procurement/api/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"owner": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
},
"type": "Invoice",
"context": {
"purchase": {
"id": 123,
"href": "<string>",
"name": "<string>",
"type": "Subscription"
}
},
"documentBreakdown": {
"id": 2,
"href": "<string>",
"name": "<string>"
},
"documentDate": "2023-12-25",
"documentNumber": "<string>",
"amountIncludingTaxes": {
"excludingTaxes": {
"value": 123,
"currency": "Invalid"
},
"taxes": [
{
"rateTypeId": 123,
"value": 123,
"currency": "Invalid"
}
],
"includingTaxes": {
"value": 123,
"currency": "Invalid"
}
},
"accountingLabel": "<string>",
"comment": "<string>",
"intraCommunityTaxes": true,
"attachments": [
{
"id": 123,
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"href": "<string>",
"name": "<string>",
"displayHref": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"pages": {
"displayHrefTemplate": "<string>",
"count": 123
}
}
],
"ocrStatus": "Pending",
"dueDate": "2023-12-25",
"paymentDetails": {
"paymentMethod": "BankTransfer",
"bankAccount": {
"iban": "<string>",
"bic": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"author": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
},
"modifier": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
}
}Documents
Get Document
Retrieve a document by its ID.
GET
/
cleemy-procurement
/
api
/
documents
/
{id}
Get Document
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
ID of the document.
Response
200 - application/json
OK
An invoice document (before booking).
Reference to a user.
Show child attributes
Show child attributes
Type of document: Invoice or CreditNote.
Available options:
Invoice, CreditNote Context data for the document.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Represents an amount of money with VAT taxes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Status of OCR processing.
Available options:
Pending, Processing, Processed, Failed, NotApplicable Show child attributes
Show child attributes
Reference to a user.
Show child attributes
Show child attributes
Reference to a user.
Show child attributes
Show child attributes
Was this page helpful?